
NemoMath - Bug #1469
Findeigen3.cmake seems broken
04/21/2013 09:41 PM - S. Wrede

Status: Feedback Start date: 04/21/2013
Priority: Normal Due date:
Assignee: % Done: 10%
Category: Estimated time: 0.00 hour
Target version: NemoMath 0.4
Description

-- Could NOT find Eigen2 (missing:  EIGEN2_INCLUDE_DIR EIGEN2_VERSION_OK) (Required is at least version "2.0.0")
CMake Error at cmake/Findeigen3.cmake:51 (message):
  Eigen3 version ..  found in /usr/local/include/eigen3, but at least version
  3.0.0 is required
Call Stack (most recent call first):
  cmake/Findeigen3.cmake:59 (_eigen3_check_version)
  CMakeLists.txt:70 (find_package)

but

ip-129-70-135-85:build swrede$ pkg-config --modversion eigen3
3.1.2

Related issues:
Related to NemoMath - Tasks # 1643: Switch to Eigen3 Feedback 10/04/2013

Associated revisions
Revision 276 - 04/21/2013 10:09 PM - S. Wrede

temporarily disabled version checking which seems to be broken, refs #1469

History
#1 - 04/21/2013 10:11 PM - S. Wrede
- Status changed from New to Feedback
- Target version set to NemoMath 0.4
- % Done changed from 0 to 10

The problem seems to be related to the version checking function cmake/Findeigen3.cmake. As a quick fix, I effectively turned off the version
checking. This needs fixing.
